# MCP Setup

The Model Context Protocol (MCP) server provides a set of tools that AI agents can use to interact with the Dynamic Mockups account and implement entire workflows into your system.

### Connect to Dynamic Mockups MCP server

{% tabs %}
{% tab title="Lovable" %}
You can enable MCP servers on Lovable if you have a Business or Enterprise account.

Use the following parameters when setting up your custom connector:

* The server URL is `https://mcp.dynamicmockups.com`.
* Use “Api key” as the authentication mechanism and use the Dynamic Mockups API key from your account.
  {% endtab %}

{% tab title="Claude Code" %}
In a file `.mcp.json` in the project root, add the following:

```json
{
   "mcpServers": {
      "dynamic-mockups": {
         "command": "npx",
         "args": ["-y", "@dynamic-mockups/mcp"],
         "env": {
            "DYNAMIC_MOCKUPS_API_KEY": "dynamic_mockups_api_key"
         }
      }
   }
}
```

{% endtab %}

{% tab title="Cursor" %}
In a file `.cursor/mcp.json` in the project, add the following:

```json
{
   "mcpServers": {
      "dynamic-mockups": {
         "command": "npx",
         "args": ["-y", "@dynamic-mockups/mcp"],
         "env": {
            "DYNAMIC_MOCKUPS_API_KEY": "dynamic_mockups_api_key"
         }
      }
   }
}
```

{% endtab %}

{% tab title="ChatGPT" %}
You can enable MCP servers on ChatGPT if you have a Pro, Plus, Business, Enterprise or Education account.

Use the following parameters when setting up your custom connector:

* The server URL is `https://mcp.dynamicmockups.com`.
* Use “Api key” as the authentication mechanism and use the Dynamic Mockups API key from your account.
  {% endtab %}

{% tab title="Other" %}
MCP is an open protocol supported by many clients. Your specific client documentation can advise you on how to connect.

Use the server URL `https://mcp.dynamicmockups.com` and “API key” as the authentication mechanism if possible.

Example:

```json
{
  "dynamic-mockups": {
    "url": "https://mcp.dynamicmockups.com",
    "headers": {
      "x-api-key": "dynamic_mockups_api_key"
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Tools

The server exposes the following MCP tools. If you have feedback or want to see more tools, [contact us](/getting-started/how-can-i-get-support.md).

<table><thead><tr><th width="257.8125">Tool</th><th>Description</th><th>API reference</th></tr></thead><tbody><tr><td>get_api_info</td><td>Get API knowledge base (billing, rate limits, formats, best practices, support)</td><td><a href="/pages/Ljto6pQA0JdnqmwxMWbS">API Info</a></td></tr><tr><td>embed_mockup_editor</td><td>Implement embeddable mockup editor in your app</td><td><a href="https://docs.dynamicmockups.com/mockup-editor-sdk/embed-editor">Embed Editor SDK</a></td></tr><tr><td>get_catalogs</td><td>Retrieve all available catalogs</td><td><a href="https://docs.dynamicmockups.com/api-reference/catalogs-api#get-catalogs">Get Catalogs</a></td></tr><tr><td>get_collections</td><td>Retrieve collections (optionally filter by catalog)</td><td><a href="https://docs.dynamicmockups.com/api-reference/get-collections-api#get-collections">Get Collections</a></td></tr><tr><td>create_collection</td><td>Create a new collection</td><td><a href="https://docs.dynamicmockups.com/api-reference/get-collections-api#post-collections">Create Collection</a></td></tr><tr><td>get_mockups</td><td>Get list of available mockups with optional filters</td><td><a href="https://docs.dynamicmockups.com/api-reference/get-mockups-api#get-mockups">Get Mockups</a></td></tr><tr><td>get_mockup_by_uuid</td><td>Retrieve a specific mockup by UUID</td><td><a href="https://docs.dynamicmockups.com/api-reference/get-mockups-api#get-mockup-uuid">Get Specific Mockup</a></td></tr><tr><td>create_mockup</td><td>Create a new AI mockup template from a prompt or image URL</td><td><a href="/pages/mhRBe5sEootYOkVk7jyp">MockAnything AI API</a></td></tr><tr><td>get_mockup_creation_status</td><td>Poll the status of a mockup creation task</td><td><a href="/pages/mhRBe5sEootYOkVk7jyp">MockAnything AI API</a></td></tr><tr><td>search_products</td><td>Search the POD product catalog used to ground AI Mockup creations</td><td><a href="/pages/mhRBe5sEootYOkVk7jyp">MockAnything AI API</a></td></tr><tr><td>create_render</td><td>Create a single mockup render with design assets</td><td><a href="https://docs.dynamicmockups.com/api-reference/render-api#post-renders">Create a Mockup Render</a></td></tr><tr><td>create_batch_render</td><td>Render multiple mockups in one request</td><td><a href="https://docs.dynamicmockups.com/api-reference/batch-render-mockups-api#post-renders-batch">Render Multiple Mockups</a></td></tr><tr><td>export_print_files</td><td>Export high-resolution print files for production</td><td><a href="https://docs.dynamicmockups.com/api-reference/render-print-files-api#post-renders-print-files">Export Print Files</a></td></tr><tr><td>upload_psd</td><td>Upload a PSD file and optionally create a mockup template</td><td><a href="https://docs.dynamicmockups.com/api-reference/psd-upload-api#post-psd-upload">Upload a PSD File</a></td></tr><tr><td>delete_psd</td><td>Delete a PSD file with optional related mockups deletion</td><td><a href="https://docs.dynamicmockups.com/api-reference/psd-upload-api#post-psd-delete">Delete a PSD File</a></td></tr><tr><td>tool_create_embroidery_effect</td><td>Transform any image into a realistic embroidery/stitched effect</td><td><a href="/pages/96Vj9o99qPvpEaLWuSoz">Tool Create Embroidery Effect</a></td></tr></tbody></table>

### Use cases

Ask your AI assistant to:

| Use Case                       | Example Prompt                                                                                                                                |
| ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------- |
| Embed mockup editor            | "Add the full mockup editor to my web application"                                                                                            |
| List catalogs                  | "Get my Dynamic Mockups catalogs"                                                                                                             |
| Browse mockups                 | "Show me all mockups in my T-shirt collection"                                                                                                |
| Create a Mockup from Prompt    | "Create a mockup of a guy wearing a Gildan 5000 t-shirt while running, then render my logo from url: <https://example.com/my-logo.png> on it" |
| Create a Mockup from Image URL | "Turn this product photo into a mockup: <https://example.com/product.jpg>, and render my artwork on it"                                       |
| Single render                  | "Create a mockup render using any T-shirt mockup with my artwork from url: <https://example.com/my-design.png>"                               |
| Batch render                   | "Render my artwork from url: <https://example.com/my-design.png> on all mockups in the Winter T-shirt collection"                             |
| Create collection              | "Create a new collection called Winter 2025 Hoodies"                                                                                          |
| Upload PSD                     | "Upload my PSD mockup from url: <https://example.com/my-mockup.psd> and create a template from it"                                            |
| API info                       | "What are the rate limits and supported file formats for Dynamic Mockups?"                                                                    |
| Print files                    | "Export print-ready files at 300 DPI for my poster mockup"                                                                                    |
| Create Embroidery Effect       | "Transform my logo into an embroidery effect from url: <https://example.com/my-logo.png>"                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dynamicmockups.com/ai-assisted-development/mcp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
